html{
  scroll-behavior: smooth;
}
body {
  margin: 0;
  padding: 0;
  font-family: 'Plus Jakarta Sans', sans-serif;
  overflow-x: hidden;    
}

body.body-overflow {
  overflow: hidden;
}
*, *:before, *:after {
  box-sizing: border-box;
  position: relative;
}

a, a:hover, button, button:focus, input {
  text-decoration: none;
  outline: none;
  box-shadow: none;
  transition: all 0.4s ease;
  font-weight: 500;
  letter-spacing: 0.7px;
  line-height: 1.33;
}
button:focus{
  letter-spacing: 1.8px;
}
ul, li, ol { padding: 0; list-style: none; margin: 0; padding: 0; }
p {
  font-size: 16px;
  line-height: 1.58;
  font-weight: 500;
  margin-bottom: 0;
  color: #444444;
}
section {
  position: relative;
  display: block;
  margin: 55px 0 55px;
}

.fancybox-container * {position: unset;}

/* ========== header_part ======= */
header.top_header {
  position: relative;
}
header.top_header .navbar .navbar_logo a {
  display: block;
}
header.top_header .navbar .navbar_logo a img {
  max-width: max-content;
}
header.top_header .navbar .navbar_logo {
  position: relative;
  margin: 5.5px 25px;
}
header.top_header .navbar ul li a {
  color: #444444;
  font-size: 16px;
  font-weight: 600;
  margin: 0 5px;
  position: relative;
  padding: 12px 8px;
  letter-spacing: 0.3px;
} 
header.top_header .navbar ul li a:hover, header.top_header .navbar ul li.dropdown:hover a, header.top_header .navbar ul li.nav-item.dropdown ul li a:hover {
  color: #5b0e53;
}

header.top_header .navbar ul li.nav-item.dropdown a {
  padding: 12px 22px 12px 8px;
}
header.top_header .navbar ul li.nav-item.dropdown button{display: none;}
header.top_header .navbar ul li.nav-item.dropdown:after, header.top_header .navbar ul li.nav-item.dropdown:before{content: "";position: absolute;height: 2px;width: 8px;background: #444444;right: 15px;top: 50%;transform: translateY(calc(-50% - 2px));transition: all 0.4s;}
header.top_header .navbar ul li.nav-item.dropdown:before{transform: translateY(calc(-50% - 2px)) rotate(90deg);z-index: 1;}

header.top_header .navbar ul li.nav-item.dropdown .dropdown-toggle::after{display: none;}

header.top_header .navbar ul li.nav-item.dropdown:hover:before{transform: translateY(calc(-50% - 2px)) rotate(0deg); background: #5b0e53;}
header.top_header .navbar ul li.nav-item.language-translate{
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  position: relative;
}  
header.top_header .navbar ul li.nav-item.language-translate button.translate-btn {
  border: none;
  background-color: transparent;
  margin: 0 5px;
  font-size: 15px;
} 
header.top_header .navbar ul li.nav-item.language-translate button.translate-btn img {
  max-width: 22px;
  margin-right: 2px;
} 
header.top_header .navbar ul li.nav-item.language-translate button.translate-btn:after {
  margin-left: 0;
} 

header.top_header .navbar ul li.nav-item.language-translate ul.dropdown-menu {
  padding: 0;
  background: #fff;
  border-radius: 5px;
  box-shadow: 0 0 20px 0 rgb(0 0 0 / 10%);
  position: absolute;
  top: calc(100% + 5px);
  left: 0;
  display: block;
  visibility: hidden;
  opacity: 0;
  min-width: unset;
  max-height: 250px;
  overflow-y: auto;
  -ms-transform: scaleY(0);
  -webkit-transform: scaleY(0);
  transform: scaleY(0);
  -ms-transform-origin: 0 0 0;
  -webkit-transform-origin: 0 0 0;
  transform-origin: 0 0 0;
  -webkit-transition: all .35s ease 0s;
  -moz-transition: all .35s ease 0s;
  -o-transition: all .35s ease 0s;
  transition: all .35s ease 0s;
  width: max-content;
  min-width: 110px;
}

header.top_header .navbar ul li.nav-item.language-translate ul.dropdown-menu.show {
  opacity: 1;
  transform: scaleY(1) !important;
  visibility: visible;
}
header.top_header .navbar ul li.nav-item.language-translate ul.dropdown-menu li a {
  font-size: 13px;
  font-weight: 500;
  padding: 6px 8px;
  margin: 0;
  display: inline-block;
  width: 100%;
} 
header.top_header .navbar ul li.nav-item.language-translate ul.dropdown-menu li a:after, header.top_header .navbar ul li.nav-item.language-translate ul.dropdown-menu li a:before{display: none;}
header.top_header .navbar ul li.nav-item.language-translate ul.dropdown-menu li {
  border-bottom: 1px solid rgb(68 68 68 / 10%);
}

header.top_header .navbar ul li.nav-item.language-translate ul.dropdown-menu::-webkit-scrollbar {
  width: 3px;
  background: #d0d0d0;
}

header.top_header .navbar ul li.nav-item.language-translate ul.dropdown-menu::-webkit-scrollbar-thumb {
  background: #5b0e53;
}
header.top_header .navbar ul li.nav-item.dropdown ul li a {position: relative;font-size: 15px;padding: 10px 10px 10px 15px; color: #444444;} 
header.top_header .navbar ul li.nav-item.dropdown ul li a:hover{
  background-color: transparent;
}
header.top_header .navbar ul li.nav-item.dropdown ul li a:before {
  content: "";
  position: absolute;
  height: 4px;
  width: 4px;
  background: #444444;
  left: 2px;
  top: 19px;
  border-radius: 100%;
  transform: scale(1);
  transition: all 0.4s;
}
header.top_header .navbar ul li.nav-item.dropdown ul li a:after {
  width: 8px;
  height: 8px;
  content: "";
  position: absolute;
  top: 17px;
  left: 0px;
  border-radius: 100%;
  border: 1px solid #444444;
  transition: all 0.4s;
}
header.top_header .navbar ul li.nav-item.dropdown ul li a:hover:after {
  border-color: #5b0e53;
}
header.top_header .navbar ul li.nav-item.dropdown ul li a:hover:before {
  transform: scale(1.4);
  background: #5b0e53;
}

.navbar-toggler{margin: 0 15px;border-radius: 0;}
.navbar-toggler:focus{box-shadow: 0 0 0 1px;}
.navbar-toggler .hamburger{cursor: pointer;}
.navbar-toggler .hamburger .line{display: block;margin: 8px auto;width: 35px;height: 2px;background: #5b0e53;-webkit-transition: all 0.3s ease-in-out;-o-transition: all 0.3s ease-in-out;transition: all 0.3s ease-in-out;}
.navbar-toggler:not(.collapsed) .hamburger{-webkit-transition: all 0.3s ease-in-out;-o-transition: all 0.3s ease-in-out;transition: all 0.3s ease-in-out;-webkit-transition-delay: 0.6s;-o-transition-delay: 0.6s;transition-delay: 0.6s;-webkit-transform: rotate(45deg);-ms-transform: rotate(45deg);-o-transform: rotate(45deg);transform: rotate(45deg);}
.navbar-toggler:not(.collapsed) .hamburger .line:nth-child(1){-webkit-transform: translateY(10px);-ms-transform: translateY(10px);-o-transform: translateY(10px);transform: translateY(10px);-webkit-transition-delay: 0.3s;-o-transition-delay: 0.3s;transition-delay: 0.3s;}
.navbar-toggler:not(.collapsed) .hamburger .line:nth-child(2){width: 0px;}
.navbar-toggler:not(.collapsed) .hamburger .line:nth-child(3){-webkit-transform: translateY(-10px) rotate(90deg);-ms-transform: translateY(-10px) rotate(90deg);-o-transform: translateY(-10px) rotate(90deg);transform: translateY(-10px) rotate(90deg);-webkit-transition-delay: 0.3s;-o-transition-delay: 0.3s;transition-delay: 0.3s;}

/* =========== details style start ============ */
.title_name {
  position: relative;
  padding-left: 30px;
  padding-right: 10px;
}
.title_name span {
  color: #5b0e53;
  font-size: 15px;
  text-transform: uppercase;
  font-weight: 700;
  position: relative;
  display: block;
  letter-spacing: 2px;
}
.title_name h4 {
  font-size: 20px;
  font-weight: 600;
  color: #444444;
  position: relative;
  margin-bottom: 15px;
  line-height: 1.5;
}
.title_name h2 {
  font-size: 40px;
  font-weight: 600;
  color: #444444;
  position: relative;
  display: inline-block;
  margin-bottom: 15px;
  line-height: 1.37;
}
/* =========== details style start ============ */
/* ====== read more button ===== */
.read_more {
  color: #5b0e53;
  text-transform: uppercase;
  font-weight: 700;
  font-size: 12px;
  border: 1px solid #5b0e53;
  padding: 15px 28px 15px 17px;
  position: relative;
  display: inline-block;
  transition: all 0.4s;
  letter-spacing: 1.8px; transition: all 0.4s;
}
.read_more:hover {letter-spacing: 1.8px;font-weight: 700;}
.read_more::before{content: "";position: absolute;top: 0;left: 0;width: 0;height: 100%;background: #f3f3f3;z-index: -1;transition: all 0.4s;}
.read_more:after {
  content: "";
  position: absolute;
  width: 1px;
  height: 10%;
  background: white;
  right: -1px;
  top: 50%;
  z-index: 0;
  transform: translateY(-50%);
  transition: all 0.4s;
  opacity: 0;
} 
.read_more span {
  position: absolute;
  right: -12px;
  top: 50%;
  transform: translateY(-50%);
  z-index: 1;
  transition: 0.4s;
}
.read_more:hover{color: #444;border-color: #444;}
.read_more:hover::before{width: 100%;}
.read_more:hover::after{height: 55%;opacity: 1;}
.read_more:hover span{right: -4px;filter: brightness(0) opacity(0.9);}

@keyframes arrow_move{
  0%{right: -12px;}
  50%{right: -4px;}
  100%{right: -12px;}
}
@-webkit-keyframes arrow_move {
  0%{right: -12px;}
  50%{right: -4px;}
  100%{right: -12px;}
}

.theme-btn{position: relative;display: inline-block;padding: 15px 17px;background: transparent;border: 1px solid #5b0e53;font-size: 12px;font-weight: 700;text-transform: uppercase;color: #5b0e53;letter-spacing: 1.8px;transition: all 0.4s;}
.theme-btn::after{content: '';display: inline-block;margin-left: 10px;width: 20px;height: 8px;background: url(../images/long-arrow.svg) no-repeat center center;transition: all 0.4s;}
.theme-btn:hover{background: #f3f3f3;border-color: #444;font-weight: 700;color: #444;letter-spacing: 1.8px;}
.theme-btn:hover::after{filter: brightness(0) opacity(0.9);}

/* ========== footer ======= */ 
footer { 
  display: block;
  overflow: hidden;
}
.footer_part {
  background: #F3F3F3;
  padding: 40px 0;
} 
.footer_part_1 {
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid rgb(0 0 0 / 12%);
  padding: 0 20px 18px;
  margin-bottom: 36px;
}
.footer_list h3 {
  color: #444444;
  font-size: 15px;
  margin-bottom: 8px;
  text-transform: uppercase;
  font-weight: 600;
}
.footer_list a, .footer_list p {
  color: #444444;
  font-size: 15px;
  line-height: 1.65;
  font-weight: 500;
  white-space: pre-line;
}
.footer_list ul li {
  padding: 2px 0;
}
ul.footer_social_list {
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  justify-content: center;
  align-items: center;
  gap: 38px;
} 
ul.footer_social_list li a i {
  font-size: 23px;
  color: #6B6B6B;
  transition: all 0.4s;
}  
ul.footer_social_list li a i.fa-facebook {
  font-size: 19px;
}
.footer_list {
  padding-left: 20px;
}

.footer_list.footer_loaction {
  padding-left: 45px;
}

.footer_list.footer_social {
  padding-left: 40px;
}
.footer_list.footer_social a {
  margin-bottom: 15px;
  display: block;
}
.footer_list.footer_dholera_sir {
  width: calc(100% + 40px);
}

/* ======== button - sub_btn start ========= */
.footer_copyright { 
  background: #F3F3F3;
}
.footer_copyright ul { 
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  justify-content: space-between;
  align-items: center;
  border-top: 1px solid rgb(0 0 0 / 12%);
  padding: 24px 5px;
  gap: 10px;
}
.footer_copyright ul li, .footer_copyright ul li a {
  color: #444444;
  font-size: 15px;
  line-height: 1.4;
}
.footer_list a:hover, .footer_copyright a:hover, .footer_social_list a:hover i{
  color: #5b0e53;
}

/* ========= free-site-visit ====== */ 
#sideform-toggle, #sideform-toggle:focus {
  color: #ffffff;
  position: absolute;
  top: 35px;
  left: -106px;
  transform: rotate(90deg);
  border: none;
  border-radius: 0;
  padding: 10px 20px;
  font-size: 14px;
  font-weight: 500;
  background: #292829;
  box-shadow: none;
}
#sideform-wrapper {
  position: fixed;
  right: 0px;
  top: calc(50% + 150px);
  width: 300px;
  height: auto;
  z-index: 6;
  padding: 15px;
  margin-right: -300px;
  background: #292829;
  -webkit-transition: all 0.5s ease;
  -moz-transition: all 0.5s ease;
  -o-transition: all 0.5s ease;
  transition: all 0.5s ease;
  transform: translateY(-50%);
  box-shadow: 3px 0px 4px rgba(0, 0, 0, 0.5);
}

#sideform-wrapper.toggled {
  margin-right: 0px;
}

#sideform-wrapper h6 {
  color: #ffffff;
  font-size: 18px;
  margin-bottom: 18px;
  font-weight: 400;
  padding-right: 25px;
}

#sideform-wrapper .form-control, #sideform-wrapper .form-control:focus {
  font-size: 13px;
  height: 38px;
  background: #ffffff;
  border: none;
  border-radius: 0;
  padding: 8px;
  box-shadow: none;
} 
#sideform-wrapper form label {
  position: absolute;
  top: -22px;
  color: #ffffff;
  font-size: 13px;
}
#sideform-wrapper .fm {
  margin: 35px 0 15px 0;
  position: relative;
} 
#sideform-wrapper .form-control::placeholder {
  color: rgb(41 40 41 / 70%);
  font-weight: 500;
  font-size: 12px;
}
#sideform-wrapper .close {
  position: absolute;
  right: 15px;
  top: 18px;
  z-index: 1;
  cursor: pointer;
  display: inline-flex;
} 
#sideform-wrapper .close i {
  color: #ffffff;
  font-size: 12px;
} 
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none; 
}  
input[type=number] {
  -moz-appearance: textfield;
}

/* ======== request a quote ===== */ 
#request_quote .modal-dialog{max-width: 1200px;width: 92%;margin-left: auto;margin-right: auto;}
#request_quote .btn-close{position: absolute;top: 10px;right: 15px;z-index: 1;}

#request_quote h2{
  font-size: 32px;
  font-weight: 600;
  margin-bottom: 8px;
  line-height: 1.2;
}
#request_quote .modal-dialog .modal-content {
  border-radius: 0; 
}
#request_quote .modal-dialog .modal-content .modal-body {
  background: #f7f7f7;
  padding: 30px;
}
.request_modal_form {
  position: relative;
  margin-top: 50px;
}
.request_modal_form .form-group input, .request_modal_form .form-group input:focus, .request_modal_form .form-group input:active, 
.request_modal_form .form-group textarea, .request_modal_form .form-group textarea:focus, .request_modal_form .form-group textarea:active{
  background: #f7f7f7;
  border: 1px solid #898989;
  border-radius: 0;
  padding: 9px 12px;
  box-shadow: none;
}
.request_modal_form .form-group label {
  position: absolute;
  top: -26px;
  font-size: 14px;
  left: 0;
  font-weight: 500;
}
.request_modal_form .form-group input::placeholder, .request_modal_form .form-group textarea::placeholder {
  color: #292829;
  font-size: 14px;
  font-weight: 600;
  opacity: 0.3;
}
.request_modal_form .form-group textarea {
  resize: none;
  height: 120px;
} 
.request_modal_form .read_more{background: #f7f7f7;}
.request_quote_img{
  position: relative;
  z-index: 1;
  margin: auto;max-width: 545px;
}
#request_quote .modal-dialog .modal-content:after {
  content: "";
  position: absolute;
  background: #ebebeb;
  right: 0;
  top: 0;
  height: 100%;
  width: 40%;
  z-index: 0;
  clip-path: polygon(100% 0, 10% 100%, 100% 100%);
  animation-name: fade-in-out;
  animation-duration: 3s;
  animation-iteration-count: infinite
}
@keyframes fade-in-out{
  0%{
    opacity: 1;
  }
  50%{
    opacity: 0;
  }
  100%{
    opacity: 1;
  }
}
/* ======= button-hover-effect-start ==== */
header.top_header .navbar ul li.arrow-none a {
  font-size: 16px;
  overflow: hidden;
  margin-left: 12px;
  padding: 13px 23px 12px 24px;
  color: #444444;
  margin-right: 30px;
  border: 2px solid #707070;
  z-index: 1;
}
header.top_header .navbar ul li.arrow-none a:hover {
  color: #ffffff;border-color: #5b0e53;
}
a.button_style_hover:before {
  content: "" !important;
  position: absolute !important;
  height: 30% !important;
  width: 30% !important;
  background: rgb(93 14 85 / 53%) !important;
  top: 50% !important;
  opacity: 0 !important;
  left: 50% !important;
  transform: translate(-50%, -50%) !important;
  transition: all 0.5s !important;
  z-index: -1;
} 
a.button_style_hover:after{display: none;} 
a.button_style_hover:hover:before {
  opacity: 1  !important;
  height: 100%  !important;
  width: 100%  !important;
  border-radius: 0  !important;
  background: rgb(93 14 85)  !important;
}
/* ======= button-hover-effect-end ==== */


header.top_header nav.navbar ul.navbar-nav > li.dropdown .dropdown-menu.n_width {
  min-width: 300px;
  column-count: 1;
}